<!--
Types of changes:
  - Added: for new features.
  - Changed: for changes in existing functionality.
  - Deprecated: for soon-to-be removed features.
  - Removed: for now removed features.
  - Fixed: for any bug fixes.
  - Security: in case of vulnerabilities.
-->

# Event-Payload Changelog

* The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).
* If available, include a ticket number in format `(planning#XXXX)`.

## Unreleased

## [1.2.0]

### Added

- defined new events in context of the implementation of bidirectional communication [`(planning#460)`](https://git.fitko.de/fit-connect/planning/-/issues/460)
  - `create-reply` event documenting a Reply has been appended. Authored by the Zustelldienst.
  - `submit-reply` event documenting a Reply has been submitted. Authored by the Zustelldienst.
  - `notify-reply` event documenting the Onlineservice knows of the Reply. Authored by the Zustelldienst.
  - `reject-reply` event documenting a Reply has been rejected. Authored by the Zustelldienst.
  - `accept-reply` event documenting a Reply has been accepted. Authored by the Zustelldienst.
  - `delete-reply` event documenting a Reply has been deleted. Authored by the Zustelldienst.

### Deprecated

- Event `forward-submission` is now deprecated and [will be removed in a future release](https://git.fitko.de/fit-connect/planning/-/issues/310). [`(planning#1292)`](https://git.fitko.de/fit-connect/planning/-/issues/1292)


## [1.1.0]

### Changed

 - `$schema` von einem Enum in eine RegEx geändert [`(planning#608)`](https://git.fitko.de/fit-connect/planning/-/issues/608)

## [1.0.0]
