#!/usr/bin/env sh

# Create a directory for the examples
rm -rf examples
rm -rf examples_fail
mkdir -p examples
mkdir examples_fail


# Run over Templates and create examples
for template in templates/*.json; do
    # Get the name of the template
    template_name=$(basename $template)

    # Get the name of the example
    example_name=${template_name%.template}

    # Create the example
    set -- "1.0.0" "1.0.1" "1.0.2" "1.0.11" "1.1.0" "1.5.11"
    for version in  "$@"; do
        cat $template | sed -e "s|SCHEMA_VERSION|$version|g" > ./examples/"$template_name"_"$version".json
    done

   set -- "2.0.0" "3.0.1" "2.0.2" "2.0.11" "2.1.0" "3.5.11"
    for version in  "$@"; do
        cat $template | sed -e "s|SCHEMA_VERSION|$version|g" > ./examples_fail/"$template_name"_"$version".json
    done

done
